Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.dbaccess
Class DBAccess

`java.lang.Object
oracle.xml.dbaccess.DBAccess`

Direct Known Subclasses:
  XMLDBAccess

      public class DBAccess

extends java.lang.Object

Maintains CLOB tables that can hold multiple XML and text documents. Each table is created using the statement: CREATE TABLE tablename FILENAME CHAR( 16) UNIQUE, FILEDATA CLOB) LOB(FILEDATA) STORE AS (DISABLE STORAGE IN ROW). Each XML (or text) document is stored as a row in the table and the FILENAME field holds a unique string that is used as a key to retrieve, update or delete the row. The document text is stored in the FILEDATA field that is a CLOB object. The class creates and deletes CLOB tables, list a CLOB table content and also add, replace or delete text documents in this CLOB tables.

Field Summary
`protected int` `nameSize`

Constructor Summary
`DBAccess()`

Method Summary
`boolean` `createBLOBTable(java.sql.Connection con, java.lang.String tablename)` Create BLOB table
`boolean` `createXMLTable(java.sql.Connection con, java.lang.String tablename)` Create XML table
`boolean` `deleteBLOBName(java.sql.Connection con, java.lang.String tablename, java.lang.String xmlname)` Delete binary file from BLOB table
`boolean` `deleteXMLName(java.sql.Connection con, java.lang.String tablename, java.lang.String xmlname)` Delete file from XML table
`boolean` `dropBLOBTable(java.sql.Connection con, java.lang.String tablename)` Delete BLOB table
`boolean` `dropXMLTable(java.sql.Connection con, java.lang.String tablename)` Delete XML table
`byte[]` `getBLOBData(java.sql.Connection con, java.lang.String tablename, java.lang.String xmlname)` Retrieve binary file from BLOB table
`int` `getNameSize()` Returns the size of the field where the filename is kept.
`java.lang.String` `getXMLData(java.sql.Connection con, java.lang.String tablename, java.lang.String xmlname)` Retrieve text file from XML table
`java.lang.String[]` `getXMLNames(java.sql.Connection con, java.lang.String tablename)` Returns all file names in XML table
`java.lang.String[]` `getXMLTableNames(java.sql.Connection con, java.lang.String tablePrefix)` Gets all XML tables with names starting with a given string
`boolean` `insertBLOBData(java.sql.Connection con, java.lang.String tablename, java.lang.String xmlname, byte[] xmldata)` Inserts binary file as a row in BLOB table
`boolean` `insertXMLData(java.sql.Connection con, java.lang.String tablename, java.lang.String xmlname, java.lang.String xmldata)` Inserts text file as a row in XML table
`boolean` `isXMLTable(java.sql.Connection con, java.lang.String tablename)` Check if the table is XML table.
`boolean` `replaceXMLData(java.sql.Connection con, java.lang.String tablename, java.lang.String xmlname, java.lang.String xmldata)` Replace text file as a row in XML table
`boolean` `xmlTableExists(java.sql.Connection con, java.lang.String tablename)` Checks if the XML table exists

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nameSize

    protected int nameSize

Constructor Detail

### DBAccess

    public DBAccess()

Method Detail

### getNameSize

    public int getNameSize()

  Returns the size of the field where the filename is kept.
  Returns:
    filename size

### isXMLTable

    public boolean isXMLTable(java.sql.Connection con,
                              java.lang.String tablename)
                       throws java.lang.Exception

  Check if the table is XML table.
  Parameters:
    `con` - - the Connection object
    `tableName` - - the table name to test
  Returns:
    true if this is XML table
  Throws:
    `java.lang.Exception`

### getXMLTableNames

    public java.lang.String[] getXMLTableNames(java.sql.Connection con,
                                               java.lang.String tablePrefix)
                                        throws java.lang.Exception

  Gets all XML tables with names starting with a given string
  Parameters:
    `con` - - the Connection object
    `tablePrefix` - - table prefix string
  Returns:
    array of all XML tables that begin with tablePrefix
  Throws:
    `java.lang.Exception`

### insertXMLData

    public boolean insertXMLData(java.sql.Connection con,
                                 java.lang.String tablename,
                                 java.lang.String xmlname,
                                 java.lang.String xmldata)
                          throws java.sql.SQLException,
                                 java.io.IOException

  Inserts text file as a row in XML table
  Parameters:
    `con` - - the Connection object
    `tablename` - - the table name
    `xmlname` - - the file name
    `xmldata` - - string with the file data
  Returns:
    true if successfull
  Throws:
    `java.sql.SQLException`
    `java.io.IOException`

### insertBLOBData

    public boolean insertBLOBData(java.sql.Connection con,
                                  java.lang.String tablename,
                                  java.lang.String xmlname,
                                  byte[] xmldata)
                           throws java.sql.SQLException,
                                  java.io.IOException

  Inserts binary file as a row in BLOB table
  Parameters:
    `con` - - the Connection object
    `tablename` - - the table name
    `xmlname` - - the file name
    `xmldata` - - byte array with file data
  Returns:
    true if successfull
  Throws:
    `java.sql.SQLException`
    `java.io.IOException`

### replaceXMLData

    public boolean replaceXMLData(java.sql.Connection con,
                                  java.lang.String tablename,
                                  java.lang.String xmlname,
                                  java.lang.String xmldata)
                           throws java.lang.Exception

  Replace text file as a row in XML table
  Parameters:
    `con` - - the Connection object
    `tablename` - - the table name
    `xmlname` - - the file name
    `xmldata` - - string with the file data
  Returns:
    true if successfull
  Throws:
    `java.lang.Exception`

### xmlTableExists

    public boolean xmlTableExists(java.sql.Connection con,
                                  java.lang.String tablename)
                           throws java.lang.Exception

  Checks if the XML table exists
  Parameters:
    `con` - - the Connection object
    `tablename` - - the table name
  Returns:
    true if the table exists
  Throws:
    `java.lang.Exception`

### dropXMLTable

    public boolean dropXMLTable(java.sql.Connection con,
                                java.lang.String tablename)
                         throws java.lang.Exception

  Delete XML table
  Parameters:
    `con` - - the Connection object
    `tablename` - - the table name
  Returns:
    true if successfull
  Throws:
    `java.lang.Exception`

### dropBLOBTable

    public boolean dropBLOBTable(java.sql.Connection con,
                                 java.lang.String tablename)
                          throws java.lang.Exception

  Delete BLOB table
  Parameters:
    `con` - - the Connection object
    `tablename` - - the table name
  Returns:
    true if successfull
  Throws:
    `java.lang.Exception`

### createXMLTable

    public boolean createXMLTable(java.sql.Connection con,
                                  java.lang.String tablename)
                           throws java.lang.Exception

  Create XML table
  Parameters:
    `con` - - the Connection object
    `tablename` - - the table name
  Returns:
    true if successfull
  Throws:
    `java.lang.Exception`

### createBLOBTable

    public boolean createBLOBTable(java.sql.Connection con,
                                   java.lang.String tablename)
                            throws java.lang.Exception

  Create BLOB table
  Parameters:
    `con` - - the Connection object
    `tablename` - - the table name
  Returns:
    true if successfull
  Throws:
    `java.lang.Exception`

### getXMLNames

    public java.lang.String[] getXMLNames(java.sql.Connection con,
                                          java.lang.String tablename)
                                   throws java.lang.Exception

  Returns all file names in XML table
  Parameters:
    `con` - - the Connection object
    `tablename` - - the table name
  Returns:
    String array with all file names in this table
  Throws:
    `java.lang.Exception`

### getXMLData

    public java.lang.String getXMLData(java.sql.Connection con,
                                       java.lang.String tablename,
                                       java.lang.String xmlname)
                                throws java.sql.SQLException

  Retrieve text file from XML table
  Parameters:
    `con` - - the Connection object
    `tablename` - - the table name
    `xmlname` - - the file name
  Returns:
    file as a string
  Throws:
    `java.sql.SQLException`

### getBLOBData

    public byte[] getBLOBData(java.sql.Connection con,
                              java.lang.String tablename,
                              java.lang.String xmlname)
                       throws java.sql.SQLException

  Retrieve binary file from BLOB table
  Parameters:
    `con` - - the Connection object
    `tablename` - - the table name
    `xmlname` - - the file name
  Returns:
    file as a byte array
  Throws:
    `java.sql.SQLException`

### deleteBLOBName

    public boolean deleteBLOBName(java.sql.Connection con,
                                  java.lang.String tablename,
                                  java.lang.String xmlname)
                           throws java.lang.Exception

  Delete binary file from BLOB table
  Parameters:
    `con` - - the Connection object
    `tablename` - - the table name
    `xmlname` - - the file name
  Returns:
    true if successfull
  Throws:
    `java.lang.Exception`

### deleteXMLName

    public boolean deleteXMLName(java.sql.Connection con,
                                 java.lang.String tablename,
                                 java.lang.String xmlname)
                          throws java.lang.Exception

  Delete file from XML table
  Parameters:
    `con` - - the Connection object
    `tablename` - - the table name
    `xmlname` - - the file name
  Returns:
    true if successfull
  Throws:
    `java.lang.Exception`

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.